当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : virtualbox安装出现依赖问题
帖子发表于 : 2009-07-29 18:46 

注册: 2009-07-29 18:14
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
到virtualbox官网下载virtualbox的deb包,之后:
root@laciq-pc:/home/laciq/桌面# sudo dpkg -i virtualbox-3.0_3.0.2-49928_Ubuntu_jaunty_i386.deb
选中了曾被取消选择的软件包 virtualbox-3.0。
(正在读取数据库 ... 系统当前总共安装有 105895 个文件和目录。)
正在解压缩 virtualbox-3.0 (从 virtualbox-3.0_3.0.2-49928_Ubuntu_jaunty_i386.deb) ...
dpkg:依赖关系问题使得 virtualbox-3.0 的配置工作不能继续:
virtualbox-3.0 依赖于 libqt4-network (>= 4.5.0~+rc1);然而:
系统中 libqt4-network 的版本为 4.4.3-0ubuntu1.2。
virtualbox-3.0 依赖于 libqtcore4 (>= 4.5.0~+rc1);然而:
系统中 libqtcore4 的版本为 4.4.3-0ubuntu1.2。
virtualbox-3.0 依赖于 libqtgui4 (>= 4.5.0~+rc1);然而:
未曾安装软件包“libqtgui4”。
dpkg:处理 virtualbox-3.0 (--install)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生:
virtualbox-3.0

使用sudo apt-get install virtualbox:
root@laciq-pc:/home/laciq/桌面# sudo apt-get install virtualbox
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
软件包 virtualbox 是一个由下面的软件包提供的虚拟软件包:
virtualbox-3.0 3.0.2-49928_Ubuntu_jaunty
virtualbox-ose 2.1.4-dfsg-1ubuntu3
请您明确地选择一个来进行安装。
E: 软件包 virtualbox 还没有可供安装的候选者
root@laciq-pc:/home/laciq/桌面# sudo apt-get install virtualbox-ose 2.1.4-dfsg-1ubuntu3
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
E: 无法找到软件包 2.1.4-dfsg-1ubuntu3

依赖问题不知如何解决,系统应该已经更新到最新了。而sudo apt-get install virtualbox-ose 2.1.4-dfsg-1ubuntu3又提示找不到软件包。
之前从未安装成功过virtualbox,刚才新立得里发现竟然有损坏的virtualbox,但是删除后上述问题依旧。
上次在Ubuntu下安装virtualbox就没出现过这样的问题,这次重新安装(Linux分区已格式化)后就出现了。
请问如何解决呢?谢谢大家。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: virtualbox安装出现依赖问题
帖子发表于 : 2009-07-30 9:14 
头像

注册: 2007-05-05 23:59
帖子: 2032
地址: 嘉兴
送出感谢: 0 次
接收感谢: 1
用新立德搜索libqt4-network、libqtcore4、libqtgui4三个包,安装。


_________________
ufraw中文(raw图像处理)  http://sites.google.com/site/ufrawzh/
Gimp影像处理 http://sites.google.com/site/gimpcn/


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译